# Donors Donors ## Creates a new donor record that does not already exist. - [POST /donors/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/createdonor.md): This method will auto-generate an ID and create a new donor. If an ID is specified for the donor, an error will be thrown. ## Execute Batch Operations - [POST /donors/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Recalculate Totals/Donor Clubs - [POST /donors/{tenantId}/recalculateDonorTotals](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/recalculatedonortotals.md): Goes through and recalculates all donor totals and automatic donor club assignments ## Searches for donors using predefined parameters - [POST /donors/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/searchfordonors.md): Searches for donors using predefined parameters ## Returns a donor from the system by its ID. - [DELETE /donors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/deletedonor.md): This method will delete a donor with the specified ID. ## Returns a donor from the system by its ID. - [GET /donors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/getdonor.md): This method will look up a donor by the specified ID and return it back. ## Partially updates a donor with the specified ID. - [PATCH /donors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/patchdonor.md): This method will patch an existing donor with the specified ID, using the HTTP PATCH specification. ## Updates a donor with the specified ID. - [PUT /donors/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/donors/updatedonor.md): This method will update an existing donor with the specified ID.